Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.validation
Class DateWord

    java.lang.Object
      |
      +--com.bea.web.validation.Word
            |
            +--com.bea.web.validation.DateWord

public class DateWord
extends Word
implements java.io.Serializable

Determines if a value is a valid date and is in the proper format. By default (i.e. format is not directly specified), this class parses the value for date using MM/dd/yyyy.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_FORMAT`
`static boolean` | `DEFAULT_LENIENT`

Constructor Summary
`DateWord()`

Method Summary
`java.lang.String` | `getFormat()`
`boolean` | `isLenient()`
`void` | `setFormat(java.lang.String strFormat)`
`void` | `setLenient(boolean bIsLenient)`
`IValidationResult` | `validate(java.lang.String strValue, java.util.ResourceBundle bundle)`

Methods inherited from class com.bea.web.validation.Word
`formatMessage, formatMessage, getKey, getPattern, getResource, isRequired, matchesPattern, setKey, setPattern, setRequired, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_LENIENT

    public static final boolean DEFAULT_LENIENT

### DEFAULT_FORMAT

    public static final java.lang.String DEFAULT_FORMAT

Constructor Detail

### DateWord

    public DateWord()

Method Detail

### validate

    public IValidationResult validate(java.lang.String strValue,
                                      java.util.ResourceBundle bundle)

  Overrides:
    validate in class Word

### setFormat

    public final void setFormat(java.lang.String strFormat)

### getFormat

    public final java.lang.String getFormat()

### setLenient

    public final void setLenient(boolean bIsLenient)

### isLenient

    public final boolean isLenient()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)